@echo off
echo;
echo;
echo;
echo;
echo;
echo;
echo;
rem
rem Check to make sure user has the original Clevland.dat
rem 
rem
if not exist Clevland.dat goto needcle
rem
rem Make sure necessary files are present.
rem
if not exist files.zip goto nofile
if not exist unpack.exe goto needfile
if not exist pack.exe goto needfile
if not exist pkunzip.exe goto needpk
goto execute

:needcle
echo;
echo Couldn't locate the Clevland.dat file.  That
echo file is necessary to install Motopark circuit.
goto end

:nofile
echo;
echo Couldn't locate files.zip.  This file is necessary to install Motopark
echo Circuit
echo;
goto end

:needfile
echo;
echo Couldn't locate Corey's pack & unpack utilities??  These files
echo must exist in the directory in order for this batch file
echo to work properly!!
goto end

:needpk
echo;
echo Couldn't locate PKUNZIP.exe.  This file is necessary to install 
echo the Motopark Circuit
goto end

:execute
Cls
echo.
echo.
echo Unpacking the Clevland.dat file...
echo;
unpack.exe Clevland.dat
del Clevland.dat
ren Clevland.trk Motopark.trk
ren Clevland.scr Motopark.scr
ren Clevland.cam Motopark.cam
del *.3do
del *.srb
del *.mip
del *.mi4
del sunny.pcx
del cloudy.pcx
del Clevland.3do
del Clevland.pck
del sky.3do
del horiz.3do
pkunzip.exe files.zip
pack.exe Motopark.pck
rem
echo;
echo;
goto cleanup

:cleanup
rem
echo;
echo Deleting stray files...
echo;
rem
del *.mi4
del *.mip
del *.trk
del *.scr
del *.pck
del *.srb
del *.3do
del *.cam
del *.pck
del *.exe
del *.zip
del cloudy.pcx
del sunny.pcx
goto finished 

:finished
cls
echo;
echo;
echo;
echo  ******************************************************
echo  *               Made exclusively for                 *
echo  *                                                    *
echo  *                     THE PITS                       *
echo  *                                                    *
echo  *                    Home of the                     *
echo  *                                                    *
echo  *         THE PITS TOURING CARS CHAMPIONSHIP         *
echo  *                                                    *
echo  *                 WWW.THEUSPITS.COM                  *
echo  *                                                    *
echo  *                   Dave Turman                      *
echo  *              kalebsgp@concentric.net               *
echo  *                                                    *
echo  ******************************************************
echo;
echo;
goto end

:end